Discuz安装模板或插件遇到“对不起,您安装的不是正版应用,安装程


最后更新:2018-10-11 / 围观:1 次 / 来源:zhixing123.cn / 作者:佚名

Discuz 在更新到2.0以上后,增加了对应用中心的模板或插件的版本检测,所以如果你的版本是DiscuzX2.5或DiscuzX3,在安装时,如果你不是直接在应用中心下载的应用,而是直接复制上传到模板或插件目录下,可能会出现:“对不起,您安装的不是正版应用,安装程序无法继续执行”的提示,如下图:

20130914213119

其实解决这个问题很简单,只需轻松一步,就可以顺利安装你想要安装的应用。

不论是在本地还是远程服务器,首先按照这个路径,找到/source/function/function_cloudaddons.php文件,接着按下Ctrl+F搜索:

cpmsg(‘cloudaddons_genuine_message’, ”, ‘error’, array(‘addonid’ => $addonid));

找到后将这句话注释掉即可,即改成:

/**

cpmsg(‘cloudaddons_genuine_message’, ”, ‘error’, array(‘addonid’ => $addonid));

*/

OK,已经顺利完成了,接下来返回安装界面进行安装即可。


【日大侠】所载文章部分来自网络,如果您有异议或者版权等方面的问题,请将详细信息(标题、链接等)通过底部【联系我们】发给【日大侠】,【日大侠】会在收到邮件后7个工作日内进行处理,感谢您对【日大侠】的关注与支持!

最新图文


访问和使用 日大侠,即表明您已仔细阅读并且完全接受和遵守 日大侠 的版权声明。
ICP备18039168号 | 基于 Destoon 构架
日大侠QQ交流群:日大侠QQ交流群
© 2018 日大侠